Package com.pixelmed.convert

# Class NIfTI1ToDicom

java.lang.Object
com.pixelmed.convert.NIfTI1ToDicom

public class NIfTI1ToDicom extends Object

A class for converting NIfTI-1 image input format files into images of a specified or appropriate SOP Class.

## Field Summary

Fields
Modifier and Type
Field
Description
`protected static boolean`
`preferSForm`

## Constructor Summary

Constructors
Constructor
Description
`NIfTI1ToDicom(String inputFileName, String outputFileName, String patientName, String patientID, String studyID, String seriesNumber, String instanceNumber)`
Read a NIfTI-1 image input format files and create an image of a specified or appropriate SOP Class.
`NIfTI1ToDicom(String inputFileName, String outputFileName, String patientName, String patientID, String studyID, String seriesNumber, String instanceNumber, String modality, String sopClass)`
Read a NIfTI-1 image input format files and create an image of a specified or appropriate SOP Class.

## Method Summary

Modifier and Type
Method
Description
`static AttributeList`
`generateDICOMPixelDataModuleAttributesFromNIfTI1File(File inputFile, NIfTI1Header nifti, AttributeList list)`
Using a NIfTI-1 image input file and header, create DICOM Pixel Data Module attributes.
`static AttributeList`
`generateDimensions(AttributeList list)`
Create a Dimensions Module.
`static AttributeList`
`generateGeometryFunctionalGroupsFromNIfTI1Header(NIfTI1Header nifti, AttributeList list, int numberOfFrames)`
Read a per-frame and shared functional group sequences for the geometry defined in a NIfTI-1 file header.
`static void`
`main(String[] arg)`
Read a NIfTI-1 image input format files and create an image of a specified or appropriate SOP Class.

### Methods inherited from class java.lang.Object

`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### preferSForm

protected static boolean preferSForm

## Constructor Details

### NIfTI1ToDicom

public NIfTI1ToDicom(String inputFileName, String outputFileName, String patientName, String patientID, String studyID, String seriesNumber, String instanceNumber) throws IOException, DicomException, NIfTI1Exception

Read a NIfTI-1 image input format files and create an image of a specified or appropriate SOP Class.

Parameters:
  `inputFileName` -
  `outputFileName` -
  `patientName` -
  `patientID` -
  `studyID` -
  `seriesNumber` -
  `instanceNumber` -
Throws:
  `IOException`
  `DicomException`
  `NIfTI1Exception`

### NIfTI1ToDicom

public NIfTI1ToDicom(String inputFileName, String outputFileName, String patientName, String patientID, String studyID, String seriesNumber, String instanceNumber, String modality, String sopClass) throws IOException, DicomException, NIfTI1Exception

Read a NIfTI-1 image input format files and create an image of a specified or appropriate SOP Class.

Parameters:
  `inputFileName` -
  `outputFileName` -
  `patientName` -
  `patientID` -
  `studyID` -
  `seriesNumber` -
  `instanceNumber` -
  `modality` - may be null
  `sopClass` - may be null
Throws:
  `IOException`
  `DicomException`
  `NIfTI1Exception`

## Method Details

### generateGeometryFunctionalGroupsFromNIfTI1Header

public static AttributeList generateGeometryFunctionalGroupsFromNIfTI1Header(NIfTI1Header nifti, AttributeList list, int numberOfFrames) throws DicomException

Read a per-frame and shared functional group sequences for the geometry defined in a NIfTI-1 file header.

Parameters:
  `nifti` - a NIfTI-1 header
  `list` - an existing (possibly empty) attribute list, if null, a new one will be created; may already shared and per-frame functional group sequences or they will be added
  `numberOfFrames` - return attribute list with per-frame and shared functional group sequences for geometry added
Throws:
  `DicomException`

### generateDimensions

public static AttributeList generateDimensions(AttributeList list) throws DicomException

Create a Dimensions Module.

Parameters:
  `list` - return attribute list with Dimensions Module added
Throws:
  `DicomException`

### generateDICOMPixelDataModuleAttributesFromNIfTI1File

public static AttributeList generateDICOMPixelDataModuleAttributesFromNIfTI1File(File inputFile, NIfTI1Header nifti, AttributeList list) throws IOException, DicomException, NIfTI1Exception

Using a NIfTI-1 image input file and header, create DICOM Pixel Data Module attributes.

Parameters:
  `inputFile` - a NIfTI-1 format image file
  `nifti` - a NIfTI-1 header already read from the inputFile
  `list` - an existing (possibly empty) attribute list, if null, a new one will be created; may already include "better" image pixel module attributes to use return attribute list with Image Pixel Module (including Pixel Data) and other attributes added
Throws:
  `IOException`
  `DicomException`
  `NIfTI1Exception`

### main

public static void main(String[] arg)

Read a NIfTI-1 image input format files and create an image of a specified or appropriate SOP Class.

Parameters:
  `arg` - seven, eight or nine parameters, the inputFile, outputFile, patientName, patientID, studyID, seriesNumber, instanceNumber, and optionally the modality, and SOP Class